#%define	major 0
#%define libname %mklibname axis2c %{major}
#%define develname %mklibname axis2c -d

Summary:	Effort to implement Axis2 architecture, in C
Name:		axis2c
Version:	1.5.0
Release:	1.art
Group:		System/Libraries
License:	Apache License
URL:		http://ws.apache.org/axis2/c/
Source0:	axis2c-src-%{version}.tar.gz
Source1:	axis2c-src-%{version}.tar.gz.asc
Source2:	A64_mod_axis2.conf
Source3:	autogen.sh
Patch0:		axis2c-src-0.91-missing_headers.diff
Patch1:		axis2c-prglibdir.diff
Patch2:		axis2c-correct_mod_names.diff
Patch3:		axis2c-mdv_conf.diff
#Patch4:		axis2c-no_werror.diff
Patch4:		axis2c-no_werror-1.5.0.diff
Patch5:		axis2c-prgbindir.diff
BuildRequires:	httpd-devel 
BuildRequires:	apr-devel
BuildRequires:	openssl-devel
BuildRequires:	libxml2-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

%package -n	axis2c-libs
Summary:	Effort to implement Axis2 architecture, in C
Group:          System/Libraries

%description -n	axis2c-libs
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

%package -n	axis2c-devel
Summary:	Static library and header files for the axis2 library
Group:		Development/C
Requires:	axis2c-libs = %{version}-%{release}

%description -n	axis2c-devel
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

This package contains the static libevent library and its header files
needed to compile applications such as stegdetect, etc.

%package -n	mod_axis2c
Summary:	Apache module that filter ActiveX on a proxy
Group:		System/Servers
Requires(pre):	httpd
Requires:	axis2c-libs = %{version}-%{release}

%description -n	mod_axis2c
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

This package contains the Axis2/C apache module.

%package	docs
Summary:	Documentation for Axis2/C
Group:		System/Servers

%description	docs
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

This package contains the documentation for Axis2/C.

%package	tools
Summary:	Axis2/C tools
Group:		System/Servers
Requires:	axis2c-libs = %{version}-%{release}

%description	tools
Axis2/C is an effort to implement Axis2 architecture, in C. Axis2/C can be used
to provide and consume Web Services.

This package contains various tools for Axis2/C.

%prep

%setup -q -n axis2c-src-%{version}

#for i in `find -type f -name "Makefile.am"`; do
#    perl -pi -e "s|^prglibdir=\\\$\(prefix\)/modules/|prglibdir=\\\$\(libdir\)/axis2c/modules/|g" $i
#    perl -pi -e "s|^prglibdir=\\\$\(prefix\)/services/|prglibdir=\\\$\(libdir\)/axis2c/services/|g" $i
#done

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p0

#cp %{SOURCE2} A64_mod_axis2.conf

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

libtoolize --copy --force
cp %{SOURCE3} ./autogen.sh
chmod 755 ./autogen.sh
sh ./autogen.sh

chmod 644 COPYING CREDITS LICENSE

%build
if [ -x %{_bindir}/apr-config ]; then
    APR_CONFIG="%{_bindir}/apr-config"
else
    APR_CONFIG="%{_bindir}/apr-1-config"
fi
#
#APACHE_INCLUDES="`%{_sbindir}/apxs -q INCLUDEDIR`"
APR_INCLUDES="`$APR_CONFIG --includedir`"
#
#export CFLAGS="-D_GNU_SOURCE"

%configure \
	--prefix=%{_prefix} \
	--enable-libxml2 \
	--enable-multi-thread \
	--enable-openssl   \
	--with-apache2=/usr/include/httpd/ \
	--with-apr=$APR_INCLUDES


# nuke -Wl,--no-undefined for some of the Makefiles
perl -pi -e "s|\-Wl,--no-undefined||g" \
    src/core/transport/http/sender/Makefile \
    src/core/transport/http/receiver/Makefile \
    src/core/transport/http/common/Makefile \
    axiom/src/parser/libxml2/Makefile

make

%install
rm -rf %{buildroot}

#mkdir -p installed_docs
#touch installed_docs/README

#pre-hacks
%{__mkdir_p} %{buildroot}/usr
touch %{buildroot}/usr/README
#touch %{buildroot}/usr/axis2.xml

#%makeinstall_std docsdir=./installed_docs
%makeinstall PREFIX=%buildroot



install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/log/%{name}
install -d %{buildroot}%{_libdir}/httpd/modules/
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sbindir}

mv %{buildroot}%{_bindir}/axis2_http_server %{buildroot}%{_sbindir}/
mv %{buildroot}%{_prefix}/share/axis2.xml %{buildroot}%{_sysconfdir}/%{name}/

echo "# put something here..." > axiscpp.conf
install -m0644 axiscpp.conf %{buildroot}%{_sysconfdir}/%{name}/

# move the apache module in place
mv %{buildroot}%{_libdir}/mod_axis2.* %{buildroot}%{_libdir}/httpd/modules/
rm -f %{buildroot}%{_libdir}/httpd/modules/*.a
rm -f %{buildroot}%{_libdir}/httpd/modules/*.la


%{__mkdir -p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/mod_axis2.conf

# fix docs
cp axiom/ChangeLog ChangeLog.axiom
cp axiom/NEWS NEWS.axiom
cp axiom/README README.axiom
cp guththila/README README.guththila

# hack, this thing is retarded.
#%{__mkdir -p} %{buildroot}/%{_includedir}/axis2-%{version}
%{__mv} %{buildroot}/%{_includedir}/*h %{buildroot}/%{_includedir}/axis2-%{version}/
%{__mv}  %{buildroot}/%{_includedir}/platforms %{buildroot}/%{_includedir}/axis2-%{version}/

# cleanup
rm -rf %{buildroot}%{_prefix}/logs
rm -rf %{buildroot}%{_prefix}/docs
rm -f %{buildroot}%{_prefix}/AUTHORS
rm -f %{buildroot}%{_prefix}/COPYING
rm -f %{buildroot}%{_prefix}/CREDITS
rm -f %{buildroot}%{_prefix}/share/CREDITS
rm -f %{buildroot}%{_prefix}/INSTALL
rm -f %{buildroot}%{_prefix}/LICENSE
rm -f %{buildroot}%{_prefix}/NEWS
rm -f %{buildroot}%{_prefix}/README
rm -f %{buildroot}%{_prefix}/config.guess
rm -f %{buildroot}%{_prefix}/config.sub
rm -f %{buildroot}%{_prefix}/depcomp
rm -f %{buildroot}%{_prefix}/install-sh
rm -f %{buildroot}%{_prefix}/ltmain.sh
rm -f %{buildroot}%{_prefix}/missing
rm -f %{buildroot}%{_prefix}/NOTICE
rm -f %{buildroot}%{_prefix}/share/NOTICE
rm -f %{buildroot}%{_datadir}/AUTHORS
rm -f %{buildroot}%{_datadir}/COPYING
rm -f %{buildroot}%{_datadir}/INSTALL
rm -f %{buildroot}%{_datadir}/LICENSE
rm -f %{buildroot}%{_datadir}/NEWS
rm -f %{buildroot}%{_datadir}/README
rm -rf %{buildroot}%{_bindir}/tools

%post -n axis2c-libs -p /sbin/ldconfig

%postun -n axis2c-libs -p /sbin/ldconfig

# Restarting apache without permission is rude.
#%post -n mod_axis2
#if [ -f %{_var}/lock/subsys/httpd ]; then
#    %{_initrddir}/httpd restart 1>&2;
#fi

#%postun -n mod_axis2
#if [ "$1" = "0" ]; then
#    if [ -f %{_var}/lock/subsys/httpd ]; then
#	%{_initrddir}/httpd restart 1>&2
#    fi
#fi

%clean
rm -rf %{buildroot}

%files -n axis2c-libs
%defattr(-,root,root)
%doc COPYING CREDITS LICENSE *.axiom *.guththila
%dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/axis2.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/axiscpp.conf
%dir %{_libdir}/%{name}/modules
%dir %{_libdir}/%{name}/modules/addressing
%dir %{_libdir}/%{name}/modules/logging
%{_libdir}/%{name}/modules/addressing/module.xml
%{_libdir}/%{name}/modules/addressing/*.so
%{_libdir}/%{name}/modules/logging/*.so
%{_libdir}/%{name}/modules/logging/module.xml
%{_libdir}/*.so.*
%attr(0755,root,root) %{_sbindir}/axis2_http_server
%dir /var/log/%{name}

%files -n axis2c-devel
%defattr(-,root,root)
%dir %{_includedir}/axis2-%{version}
%dir %{_includedir}/axis2-%{version}/platforms
%dir %{_includedir}/axis2-%{version}/platforms/unix
%dir %{_includedir}/axis2-%{version}/platforms/windows
%{_includedir}/axis2-%{version}/platforms/*.h
%{_includedir}/axis2-%{version}/platforms/unix/*.h
%{_includedir}/axis2-%{version}/platforms/windows/*.h
%{_includedir}/axis2-%{version}/*.h
%{_libdir}/%{name}/modules/addressing/*.a
%{_libdir}/%{name}/modules/addressing/*.la
%{_libdir}/%{name}/modules/logging/*.a
%{_libdir}/%{name}/modules/logging/*.la
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/axis2c.pc

%files -n mod_axis2c
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_axis2.conf
%attr(0755,root,root) %{_libdir}/httpd/modules/mod_axis2.so

%files tools
%defattr(-,root,root)
%doc tools/tcpmon/README
%attr(0755,root,root) %{_bindir}/tcpmon

%files docs
%defattr(-,root,root)
%doc docs/*


%changelog
* Fri Dec 12 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.5.0
- Update to 1.5.0
- Ported to RHEL/CentOS and Fedora

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-3mdv2009.0
+ Revision: 235142
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2009.0
+ Revision: 216879
- fix build
- rebuild

* Fri May 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2009.0
+ Revision: 205329
- 1.4.0
- rediffed all patches

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-2mdv2008.1
+ Revision: 170769
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2008.1
+ Revision: 98115
- 1.1.0
- rediffed P1,P4
- added P5 to put binaries where they should belong
- added missing S3 from 1.0.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2008.0
+ Revision: 83474
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2008.0
+ Revision: 66398
- 1.0.0
- rediffed patches
- added the docs sub package


* Sun Mar 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-2mdv2007.1
+ Revision: 141364
- Import axis2c

* Sun Mar 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-2mdv2007.1
- rebuild

* Sat Aug 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.91-2mdk
- rebuild

* Fri May 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.91-1mdk
- initial Mandriva package
- added P0,P1,P2,P3

